create database MyDB

create database MyDB2
ON
(NAME = MyDB2, 
FILENAME = 'c:\Program Files (x86)Microsoft SQL Server\MSSQL11.MSSQL.SERVER\DATA\MyDB2.mdf',
SIZE = 10GB,
MAXSIZE = 50GB,
FILEGROWTH = 5GB)
LOG ON
(NAME = MyDB2_log, 
FILENAME = 'c:\Program Files (x86)Microsoft SQL Server\MSSQL11.MSSQL.SERVER\DATA\MyDB2_log.ldf',
SIZE = 5GB,
MAXSIZE = 25GB, 
FILEGROWTH = 5GB);

ALTER DATABASE MyDB2
MODIFY FILE
(NAME = MyDB2,
MAXSIZE = 100GB);

ALTER DATABASE myDB2
modify NAME = MyDB2NewName;

DROP DATABASE MyDB2NewName;

USE MyDB;
CREATE TABLE product_categories(
code int IDENTITY(1,1) NOT NULL,
description nvarchar(50) NULL,
CONSTRAINT PK_product_categories PRIMARY KEY
(code)
);

use MyDB;
CREATE TABLE products(
code int IDENTITY(1,1) NOT NULL,
description nvarchar(50) NOT NULL,
cost decimal(18,2) NOT NULL,
price decimal(18,2) NOT NULL,
category_code int NOT NULL,
stock decimal(18,0) NOT NULL
CONSTRAINT PK_products PRIMARY KEY (code),
CONSTRAINT FK_products_product_categories FOREIGN KEY(category_code) REFERENCES product_categories (code));

use MyDB;
ALTER TABLE products ADD 
calories_per_unit decimal(5,0) NULL,
long_description text NULL;

use MyDB;
ALTER TABLE products DROP COLUMN
calories_per_unit,
long_description;

use MyDB;
ALTER TABLE products ALTER COLUMN
price decimal(18,4);

use MyDB;
DROP TABLE products;

use MyDB;
go
CREATE VIEW prodcat as 
select * from product_categories;

use MyDB;
go
ALTER VIEW prodcat as 
select description from product_categories where description is not null;

use MyDB;
DROP VIEW prodcat;









