/* finds all customers with name  */

use trofima;
go

declare @count int;
declare @name nvarchar(50);
declare @max_code int;		/* max(code) in customers */

select @count = 0;
select @max_code = max(code) from customers;

while @count <= @max_code
	begin
		select @count = @count + 1;
		select @name = name from customers where code = @count;
		if @name not like '%%'
			/* exit current round of the loop and perform the next round 
			when the customers' name is not " */
			continue;		
		print convert(nvarchar(10), @count) + ' > ' + @name			
	end

print 'THE END, last @count = ' + convert(nvarchar(10), @count);