USE Trofima;
GO
SET ANSI_NULLS ON;
GO
SET QUOTED_IDENTIFIER ON;
GO

CREATE TRIGGER instead_of_insert ON customers INSTEAD OF INSERT
AS

insert into log_table(log_table, log_operation, log_date, log_user)
	values('customers', 'instead of insert', getdate(), SUSER_SNAME());

if (select category_code from inserted) is not null
	insert into customers(name, address, creation_date, category_code)  
		select name, address, creation_date, category_code from inserted 
	/*   insert into customers select * from inserted  
	     identity column     
	  (   identity column */
GO	

  