select customers.code, customers.name, customers.category_code, customer_categories.description
from customers, customer_categories
where customers.category_code = customer_categories.code

select customers.code, name, category_code, description
from customers, customer_categories
where category_code = customer_categories.code

select x.code, name, category_code, description
from customers x, customer_categories y
where category_code = y.code

select x.code, name, category_code, description
from customers x inner join customer_categories y
on category_code = y.code

select x.code, name, category_code, description
from customers x left join customer_categories y
on category_code = y.code

select month(sales_date) as sales_month, pc.description as product_category, cc.description as customer_category,
sum(value) as sales_value
from sales_history iiner join products p on product_code = p.code inner join customers c on customer_code = c.code
inner join customer_categories cc on c.category_code = cc.code inner join product_categories pc on p.category_code = pc.code
group by month(sales_date), pc.description, cc.description order by sales_month, pc.description, cc.description

select month(sales_date) as sales_month, pc.description as product_category, cc.description as customer_category,
sum(value) as sales_value
from sales_history iiner join products p on product_code = p.code inner join customers c on customer_code = c.code
inner join customer_categories cc on c.category_code = cc.code inner join product_categories pc on p.category_code = pc.code
where month(sales_date) = 5
group by month(sales_date), pc.description, cc.description order by sales_month, pc.description, cc.description

select * from customers where category_code = 1 or category_code = 2

select * from customers where category_code in(1, 2)

select * from customers where category_code between 1 and 2

select *, price - cost as profit_per_unit from products order by profit_per_unit desc, description

select * from customers where exists(select sum(value) from sales_history where customer_code = code having sum(value) > 500)

select * from sales_history where customer_code in(select code from customers where category_code = 1) order by customer_code

select description, sum(value) as sales_value
from sales_history inner join products on product_code = code
group by description order by description

select name, sum(value) as sales_value
from sales_history iiner join customers on customer_code = code
group by name order by name

select description, name, sum(value) as sales_value
from sales_history inner join products p on product_code = p.code inner join customers c on customer_code = c.code
group by description, name order by description, name


