use trofima;
go
set ansi_nulls on;
go
set quoted_identifier on:
go
create procedure MyProcedure
as
set ncount on;
select * from customers;
go

use trofima;
go
exec Myprocedure;
go

use trofima;
go
set ansi_nulls on;
go
set quoted_identifier on:
go
create procedure MyProcedure2
@input_parameter1 int = 0
as
set nocount on;
select name from customers where code = @input_parameter1;
if @@rowcount = 0
	begin
		print 'CUSTOMER NOT FOUND';
	end
else
	begin
		print 'CUSTOMER FOUND';
	end
go

use trofima;
go
exec Myprocedure2 1;
go

use trofima;
go
declare @customer int;
select @customer = 1;
exec Myprocedure2 @customer;
go

use trofima;
go
set ansi_nulls on;
go
set quoted_identifier om;
go
create procedure MyProcedure3
@input_parameter1 int = 0,
@output_parameter1 nvarchar(50) output
as
set nocount on;
select @output_parameter1 = name from customers where code = @input_parameter1;
go

use trofima;
go
declare @customer_code int;
declare @customer_name nvarchar(50);
select @customer_code = 1;
exec Myprocedure3 @customer_code, @customer_name output;
print @customer_name;
go

 
